> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a inventory replenishment report

> Create an "inventory replenishment" report (Amazon FBA). The generated report CSV contains the columns defined in the `InventoryReplenishmentReportColumns` schema including days cover, projected OOS dates, and replenishment recommendations. Use the /reports/status/{reportId} endpoint to check report status and obtain the download URL.



## OpenAPI

````yaml /api-reference/openapi.json post /reports/create/inventoryReplenishment
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/create/inventoryReplenishment:
    post:
      tags:
        - report
      summary: Create a inventory replenishment report
      description: >-
        Create an "inventory replenishment" report (Amazon FBA). The generated
        report CSV contains the columns defined in the
        `InventoryReplenishmentReportColumns` schema including days cover,
        projected OOS dates, and replenishment recommendations. Use the
        /reports/status/{reportId} endpoint to check report status and obtain
        the download URL.
      operationId: createInventoryReplenishmentReport
      requestBody:
        description: Report criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInventoryReplenishmentReportRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/InventoryReplenishmentReportColumns'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateInventoryReplenishmentReportRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
    InventoryReplenishmentReportColumns:
      type: object
      description: >-
        Columns present in the downloadable Inventory Replenishment report CSV
        (Amazon FBA).
      properties:
        sku:
          type: string
          description: Seller SKU
        asin:
          type: string
          description: Amazon Standard Identification Number
        productName:
          type: string
          description: Product name
        storageType:
          type: string
          description: FBA storage type classification
        daysCover:
          type: number
          description: Estimated days of inventory cover
        projectedOOSDate:
          type: string
          description: Projected out-of-stock date
        estimatedReorderDate:
          type: string
          description: Estimated date by which to reorder
        totalInventory:
          type: number
          description: Total inventory units across all locations
        available:
          type: number
          description: Units available for sale
        reservedQuantity:
          type: number
          description: Units reserved (e.g. pending orders)
        inboundQuantity:
          type: number
          description: Units currently inbound to FBA
        unfulfillableQuantity:
          type: number
          description: Unfulfillable inventory units
        fcTransfer:
          type: number
          description: Intra warehouse transfer quantity
        awdOnhandQuantity:
          type: number
          description: Amazon Warehousing and Distribution on-hand quantity
        awdInboundQuantity:
          type: number
          description: Amazon Warehousing and Distribution inbound quantity
        storageVolume:
          type: number
          description: Storage volume occupied
        estimatedStorageCostNextMonth:
          type: number
          description: Estimated storage cost for the next month
        dailySales7:
          type: number
          description: Average daily sales over the last 7 days
        dailySales30:
          type: number
          description: Average daily sales over the last 30 days
        dailySales60:
          type: number
          description: Average daily sales over the last 60 days
        dailySales90:
          type: number
          description: Average daily sales over the last 90 days
        replenUnits:
          type: number
          description: Recommended replenishment units
        replenCases:
          type: number
          description: Recommended replenishment cases
        unitsPerCase:
          type: number
          description: Number of units per case
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````